List subscriptions
curl --request GET \
--url https://api.example.com/exo-api/webhooksimport requests
url = "https://api.example.com/exo-api/webhooks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/exo-api/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"user_id": 123,
"url": "<string>",
"resource": "<string>",
"events": [
{}
],
"is_active": true,
"masked_secret": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}Webhooks
List subscriptions
Returns all webhook subscriptions for the authenticated user.
GET
/
exo-api
/
webhooks
List subscriptions
Returns all webhook subscriptions belonging to the authenticated user, ordered by most recently created first.
Example response:
Request
curl -H "Authorization: Bearer YOUR_TOKEN" \
https://your-app.com/exo-api/webhooks
Response
array
An array of webhook subscription objects.
Show child attributes
Show child attributes
integer
The subscription’s ID.
integer
The ID of the user who owns this subscription.
string
The URL that receives webhook deliveries.
string
The resource name this subscription listens to.
array
The trigger events this subscription listens for.
boolean
Whether this subscription is currently active.
string
A masked version of the webhook secret (e.g.
sec_****abcd).string
ISO-8601 timestamp.
string
ISO-8601 timestamp.
{
"data": [
{
"id": 1,
"user_id": 1,
"url": "https://example.com/webhook-receiver",
"resource": "order",
"events": ["on_create", "on_update"],
"is_active": true,
"masked_secret": "sec_****a1b2",
"created_at": "2026-03-28T14:30:00.000000Z",
"updated_at": "2026-03-28T14:30:00.000000Z"
}
]
}
⌘I